# Changelog

## 2025-06-20 - 2.0.44 - fix(ci)
Remove obsolete GitLab CI configuration

- Deleted the .gitlab-ci.yml file to remove outdated CI configuration from the repository.

## 2025-06-20 - 2.0.43 - fix(dependencies)
Bump build and runtime dependencies to newer versions for improved tooling and compatibility.

- Bumped @git.zone/tsbuild from ^2.3.2 to ^2.6.4
- Bumped @git.zone/tsbundle from ^2.2.5 to ^2.4.0
- Bumped @git.zone/tstest from ^1.0.96 to ^2.3.1
- Bumped @push.rocks/tapbundle from ^5.6.3 to ^6.0.3
- Bumped @design.estate/dees-domtools from ^2.3.2 to ^2.3.3
- Bumped @push.rocks/smartrx from ^3.0.7 to ^3.0.10

## 2025-04-18 - 2.0.42 - fix(directives)
Add explicit type annotations to subscribeWithTemplate directive export

- Imported DirectiveResult type for better typing
- Defined SubscribeWithTemplateFn signature to ensure proper type inference
- Used type assertion with 'as SubscribeWithTemplateFn' to improve type safety

## 2025-04-18 - 2.0.41 - fix(directives)
Refactor export statements in directives index for consistency

- Changed individual export of 'resolve' and 'subscribe' to wildcard exports in ts/directives/index.ts
- Simplified module export structure without altering functionality

## 2025-04-18 - 2.0.40 - fix(dees-element)
Refactor project structure and update dependency versions. Internal modules (e.g. dees-element classes and directives) have been reorganized and deprecated paths removed, and package.json now includes an updated packageManager field.

- Updated versions for @git.zone/tsbuild, tsbundle, tstest, tapbundle, and lit.
- Changed dependency @design.estate/dees-domtools from ^2.0.61 to ^2.3.2.
- Reorganized internal file structure: moved code from dees-element.classes.* to classes.* and re-exported via index.
- Added packageManager field in package.json for pnpm configuration.

## 2024-10-04 - 2.0.39 - fix(core)
Update dependency version for @design.estate/dees-domtools

- Bumped @design.estate/dees-domtools dependency to version ^2.0.61 to include latest patches and improvements.

## 2024-10-02 - 2.0.38 - fix(dependencies)
Bump `@design.estate/dees-domtools` to 2.0.60

- Updated @design.estate/dees-domtools from 2.0.59 to 2.0.60

## 2024-10-02 - 2.0.37 - fix(dependencies)
Update dependencies to latest versions.

- Updated @git.zone/tsbuild from ^2.1.82 to ^2.1.84
- Updated @types/node from ^20.14.9 to ^22.7.4
- Updated @push.rocks/tapbundle from ^5.0.23 to ^5.3.0
- Updated @design.estate/dees-domtools from ^2.0.57 to ^2.0.59
- Updated lit from ^3.1.4 to ^3.2.0

## 2024-07-01 - 2.0.36 - fix(core)
Ensure documentation completeness and code quality improvements

- Improved the README.md file to provide more detailed usage instructions and examples.
- Refactored code for better readability and performance.
- Updated npmextra.json to ensure accurate project metadata and configurations.

## 2024-07-01 - 2.0.35 - fix(dependencies)
Update dependency versions and development dependencies

- Update @git.zone/tsbuild to version ^2.1.82
- Update @git.zone/tstest to version ^1.0.90
- Update @push.rocks/tapbundle to version ^5.0.23
- Update @types/node to version ^20.14.9
- Update lit to version ^3.1.4

## 2024-04-20 - 2.0.34 - Documentation
Updated project documentation.

- Refreshed the documentation to include recent changes and improvements.

## 2023-10-31 - 2.0.33 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-10-26 - 2.0.32 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-10-23 - 2.0.31 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-10-23 - 2.0.30 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-09-17 - 2.0.29 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-09-17 - 2.0.28 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-09-04 - 2.0.27 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-09-04 - 2.0.26 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-08-07 - 2.0.25 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-08-07 - 2.0.24 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-08-07 - 2.0.23 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-03-29 - 2.0.22 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-03-29 - 2.0.21 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-03-26 - 2.0.20 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2023-03-15 - 2.0.19 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-12-31 - 2.0.18 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-12-31 - 2.0.17 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-05-21 - 2.0.16 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-05-12 - 2.0.15 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-05-02 - 2.0.14 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-05-01 - 2.0.13 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-22 - 2.0.12 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-21 - 2.0.11 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-19 - 2.0.10 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-19 - 2.0.9 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-18 - 2.0.8 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-04-15 - 2.0.7 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-29 - 2.0.6 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-25 - 2.0.5 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-24 - 2.0.4 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-23 - 2.0.3 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-16 - 2.0.2 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-16 - 2.0.1 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-16 - 2.0.0 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-03-16 - 1.0.36 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-01-07 - 1.0.35 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-01-06 - 1.0.34 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-01-06 - 1.0.33 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2022-01-06 - 1.0.32 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-12-14 - 1.0.31 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-12-13 - 1.0.30 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-12-10 - 1.0.29 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-12-10 - 1.0.28 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-11-27 - 1.0.27 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-27 - 1.0.26 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-16 - 1.0.25 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-16 - 1.0.24 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-13 - 1.0.23 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-08 - 1.0.22 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-08 - 1.0.21 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-09-08 - 1.0.20 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-29 - 1.0.19 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-29 - 1.0.18 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-29 - 1.0.17 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-28 - 1.0.16 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-28 - 1.0.15 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-28 - 1.0.14 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-27 - 1.0.13 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-27 - 1.0.12 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.

## 2021-03-27 - 1.0.11 - Core
Minor core fixes and optimizations.

- Updated core functionalities to improve performance.
